Subject: Re: [PATCH V1 08/16] i40iw: add files for iwarp interface

From: Or Gerlitz <ogerlitz-VPRAkNaXOzVWk0Htik3J/[email-masked]>
Date: Thu, 24 Dec 2015 10:25:08 +0200

On 12/24/2015 9:31 AM, Faisal Latif wrote:
> On Wed, Dec 23, 2015 at 08:42:01AM -0800, Or Gerlitz wrote:
>> On 12/22/2015 1:13 AM, Faisal Latif wrote:
>>> +
>>> +enum i40iw_memreg_type {
>>> +	IW_MEMREG_TYPE_MEM = 0x0000,
>>> +	IW_MEMREG_TYPE_QP = 0x0001,
>>> +	IW_MEMREG_TYPE_CQ = 0x0002,
>>> +	IW_MEMREG_TYPE_MW = 0x0003,
>>> +	IW_MEMREG_TYPE_FMR = 0x0004,
>>> +	IW_MEMREG_TYPE_FMEM = 0x0005,
>>> +};
>> Can't you re-use IB core values or derive that from the actual uverbs
>> command?
> I did not see anything which will have types that I needed.

what do you need? what is the role of this enum?

> It will be confusing otherwise.

> I will be reducing number of types from here though.

so why some of it can go? is that deal values which aren't used by the code

Or.

> Thanks
> Faisal

--
To unsubscribe from this list: send the line "unsubscribe linux-rdma" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html